Bug 14283 - Apache's cgi-bin directory is in /var
Apache's cgi-bin directory is in /var
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-19 11:03 EDT by Matthew Kirkwood
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-19 11:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Kirkwood 2000-07-19 11:03:50 EDT
(Marked high because it may entail lots of other little changes around the
place.)

which, IMMHO, is a bug, as I like to mount /var/ nosuid,noexec.  I think
Debian has it right - they have a /usr/lib/cgi-bin (or similar) and a
/usr/local/lib/site-cgi.
Comment 1 Nalin Dahyabhai 2000-07-23 17:12:44 EDT
Mounting /var noexec is going to cause other problems with print filters
and /var/ftp/bin (which can not be moved).

Note You need to log in before you can comment on or make changes to this bug.